For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all appointments
        • POSTQuery Realtime Appointment Availability
        • POSTCreate an appointment for an applicant
        • POSTCreate an appointment for a lead
        • POSTCreate an appointment for a resident
        • PUTUpdate an appointment for an applicant
        • POSTCancel an appointment for an applicant
        • PUTUpdate an appointment for a lead
        • POSTCancel an appointment for a lead
        • PUTUpdate an appointment for a resident
        • POSTCancel an appointment for a resident
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsAppointments

Create an appointment for a resident

POST
/v1/events/appointments/residents
POST
/v1/events/appointments/residents
$curl -X POST https://api.propexo.com/v1/events/appointments/residents \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "int-789456123"
>}'
1{
2 "job_id": "job-123e4567-e89b-12d3-a456-426614174000",
3 "data": {}
4}
Create an appointment for a resident
Was this page helpful?
Previous

Update an appointment for an applicant

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
resident_idstringOptional
The Propexo unique identifier for the resident
appointment_datestringOptional
The date when the appointment will occur
appointment_timestringOptionalformat: "(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)"

The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.

employee_idstringOptional
The Propexo unique identifier for the employee
statusenumOptional
The raw status associated with the event
Allowed values:
notesstringOptional
Notes associated with the event
appointment_duration_minutesintegerOptional
The duration of the appointment, in minutes
titlestringOptional<=50 characters
The title associated with the event

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error